This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 66507 - CIPE can be brought down remotely
CIPE can be brought down remotely
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: cipe (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: Security
: 66531 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-11 11:45 EDT by Simon Perreault
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:07:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Perreault 2002-06-11 11:45:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
Send a 0 byte UDP packet to the port CIPe is listening to and CIPE will crash.
The kernel has to be rebooted so that the CIPE link can be brought up again.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. setup CIPE to listen to port X at IP Y
2. from any host, do "nmap -p0 -sU -p X Y". This will send a 0 byte UDP packet
to the port CIPE is listening on. You do not have to go through the CIPE link.
	

Actual Results:  Kernel is unable to handle paging request. That is, it crashes.

Expected Results:  Log message by ciped: "Got short UDP packet" and the packet
is rejected.

Additional info:

CIPE 1.5.3 does not have this problem. Its configuration format is the same as
1.4.5 and can communicate with 1.4.5-based hosts.
Comment 1 David Woodhouse 2002-08-16 13:21:48 EDT
*** Bug 66531 has been marked as a duplicate of this bug. ***
Comment 2 Jay Berkenbilt 2002-08-16 13:56:27 EDT
Note that 1.5.4 is out now and that it includes fixes to other problems
including improved MTU fixes and NAT through CIPE fixes.
Comment 3 Arjan van de Ven 2002-08-29 16:43:50 EDT
I'm pretty sure this is fixed in 2.4.18-10
Comment 4 Simon Perreault 2002-08-30 09:03:35 EDT
I just tested it with 2.4.18-10 and this is *NOT* fixed. I know there is a 
patch about cipe that concerns this problem but the *daemon* must be upgraded, 
not the kernel. 
 
Please confirm the existence of this bug by testing yourself with the command I 
posted in the original message: nmap -P0 -sU -p <ciped-cb port> <ciped-cb host>
Comment 5 Alan Cox 2002-12-18 16:40:22 EST
My test box seems fine. However I don't want to close this without being
absolutely sure.
Comment 6 Bill Nottingham 2006-08-04 17:31:51 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 7 Bill Nottingham 2006-10-18 10:07:53 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.